NAME
OpenAPI::Client::OpenAI::Path::responses-response_id-cancel - Documentation for the /responses/{response_id}/cancel path.
OPERATIONS
POST /responses/{response_id}/cancel
cancelResponse
$client->cancel_response({
body => { ... },
});
Cancels a model response with the given ID. Only responses created with the background parameter set to true can be cancelled. Learn more .
Path/query parameters
response_id(in path, required, string) - The ID of the response to cancel.
Responses
200 - OK
Content-Type: application/json
Example:
{
"completed_at" : 1741476778,
"created_at" : 1741476777,
"error" : null,
"id" : "resp_67ccd3a9da748190baa7f1570fe91ac604becb25c45c1d41",
"incomplete_details" : null,
"instructions" : null,
"max_output_tokens" : null,
"metadata" : {},
"model" : "gpt-4o-2024-08-06",
"object" : "response",
"output" : [
{
"content" : [
{
"annotations" : [],
"text" : "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",
"type" : "output_text"
}
],
"id" : "msg_67ccd3acc8d48190a77525dc6de64b4104becb25c45c1d41",
"role" : "assistant",
"status" : "completed",
"type" : "message"
}
],
"parallel_tool_calls" : true,
"previous_response_id" : null,
"reasoning" : {
"effort" : null,
"summary" : null
},
"status" : "completed",
"store" : true,
"temperature" : 1,
"text" : {
"format" : {
"type" : "text"
}
},
"tool_choice" : "auto",
"tools" : [],
"top_p" : 1,
"truncation" : "disabled",
"usage" : {
"input_tokens" : 328,
"input_tokens_details" : {
"cached_tokens" : 0
},
"output_tokens" : 52,
"output_tokens_details" : {
"reasoning_tokens" : 0
},
"total_tokens" : 380
},
"user" : null
}
404 - Not Found
Content-Type: application/json
Example:
{
"code" : "string",
"message" : "string",
"param" : "string",
"type" : "string"
}
SCHEMAS
Error
Properties:
code(anyOf, required)message(string, required)param(anyOf, required)type(string, required)
Response
See https://platform.openai.com/docs/api-reference for details.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.